### Signal

# Ide BufferManager::buffer-unloaded

#### Declaration

    void
    buffer_unloaded (
      IdeBufferManager* self,
      IdeBuffer* buffer,
      gpointer user_data
    )

#### Description

The “buffer-unloaded” signal is emitted when an `IdeBuffer` has been unloaded from the buffer manager.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.